Browse the API reference

List Organization Invoices

get/v1/billing/invoices/{org_id}

Part of Billing.

Requires admin or owner role.

Authentication

Authenticate in any one of these ways — not all of them:

  • API key in the X-API-Key header.
  • Bearer token in the Authorization header.

Path parameters

NameTypeDescription
org_idrequiredstringOrg Id

Query parameters

NameTypeDescription
limitoptionalintegerNumber of invoices to return

Default: 10

Example request

curl
curl -X GET "https://api.robosystems.ai/v1/billing/invoices/{org_id}" \
  -H "X-API-Key: $ROBOSYSTEMS_API_KEY"

Responses

200 Successful Response

FieldTypeDescription
invoicesrequiredInvoice[]

List of invoices

Invoice fields
FieldTypeDescription
idrequiredstring

Invoice ID

numberoptionalstring

Invoice number

statusrequiredstring

Invoice status (paid, open, void, uncollectible)

amount_duerequiredinteger

Amount due in cents

amount_paidrequiredinteger

Amount paid in cents

currencyrequiredstring

Currency code (usd)

createdrequiredstring

Invoice creation date (ISO format)

due_dateoptionalstring

Invoice due date (ISO format)

paid_atoptionalstring

Payment date (ISO format)

invoice_pdfoptionalstring

PDF download URL

hosted_invoice_urloptionalstring

Hosted invoice URL

line_itemsrequiredInvoiceLineItem[]

Invoice line items

InvoiceLineItem fields
FieldTypeDescription
descriptionrequiredstring

Line item description

amountrequiredinteger

Amount in cents

quantityrequiredinteger

Quantity

period_startoptionalstring

Billing period start

period_endoptionalstring

Billing period end

subscription_idoptionalstring

Associated subscription ID

total_countrequiredinteger

Total number of invoices

has_morerequiredboolean

Whether more invoices are available

StatusMeaning
400Invalid request
401Authentication required
403Access denied
404Resource not found
422Validation Error
429Rate limit exceeded
500Internal server error